Bug 434399 - maxima failed massrebuild for F-9
maxima failed massrebuild for F-9
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: maxima (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-22 11:09 EST by Jesse Keating
Modified: 2013-01-09 22:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.7.5-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-01 01:29:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:09:02 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=444147
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-03-01 15:20:05 EST
scratch build 482742
Comment 2 Jon Stanley 2008-03-01 23:45:13 EST
debugger invoked on a SIMPLE-ERROR in thread #<THREAD "initial thread"
{100244E561}>:
  Error during processing of --eval option "(progn (load
\"../lisp-utils/defsystem.lisp\") (funcall (intern (symbol-name
:operate-on-system) :mk) \"maxima\" :load :verbose t) (sb-ext:save-lisp-and-die
\"binary-sbcl/maxima.core\") (sb-ext:quit))":

  Unhandled memory fault at #x0.

Type HELP for debugger help, or (SB-EXT:QUIT) to exit from SBCL.

restarts (invokable by number or by possibly-abbreviated name):
  0: [CONTINUE] Ignore and continue with next --eval option.
  1: [ABORT   ] Skip rest of --eval options.
  2:            Skip to toplevel READ/EVAL/PRINT loop.
  3: [QUIT    ] Quit SBCL (calling #'QUIT, killing the process).

------------

and probably as a result of that:

/usr/bin/install -c -m 644 binary-sbcl/maxima.core
/var/tmp/maxima-5.14.0-6.fc9-root-mockbuild/usr/lib64/maxima/5.14.0/binary-sbcl/maxima.core
/usr/bin/install: cannot stat `binary-sbcl/maxima.core': No such file or directory
Comment 3 Bug Zapper 2008-05-14 01:31:58 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Rex Dieter 2008-06-13 09:14:34 EDT
unblocking gcc43 tracker, build fails for other reasons.
Comment 5 Fedora Update System 2008-06-17 10:44:40 EDT
wxMaxima-0.7.5-1.fc9,cmucl-19e-1.fc9,sbcl-1.0.17-3.fc9,maxima-5.15.0-1.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-06-20 15:13:00 EDT
wxMaxima-0.7.5-1.fc9, cmucl-19e-1.fc9, sbcl-1.0.17-3.fc9, maxima-5.15.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wxMaxima cmucl sbcl maxima'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5528
Comment 7 Fedora Update System 2008-07-01 01:29:48 EDT
wxMaxima-0.7.5-1.fc9, cmucl-19e-1.fc9, sbcl-1.0.17-3.fc9, maxima-5.15.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.